"use strict";
const common_vendor = require("../../common/vendor.js");
const API_api = require("../../API/api.js");
const _sfc_main = {
  __name: "test",
  setup(__props) {
    const onButton = () => {
      my.request({
        url: API_api.apiImageUrl + "/api/Alipay/trade",
        method: "GET",
        success: function(result) {
          console.log(result);
          console.log(result.data.data);
          my.tradePay({
            tradeNO: result.data.data,
            success: (res) => {
              console.log("成功调用");
              console.log(res);
            },
            fail: (res) => {
              my.alert({
                content: JSON.stringify(res)
              });
              console.log("失败");
              console.log(res);
            }
          });
        }
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(onButton)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/111111000000/uniapp04/pages/test/test.vue"]]);
my.createPage(MiniProgramPage);
